import { __spreadValues } from './chunk-5USKE2QT.js';

// src/utils.ts
function isBrowser() {
  return typeof window !== "undefined" && typeof document !== "undefined";
}
function isFunction(value) {
  return typeof value === "function";
}
function omit(obj, keys) {
  const copy = __spreadValues({}, obj);
  keys.forEach((key) => delete copy[key]);
  return copy;
}
function classnames(...args) {
  return args.filter(Boolean).join(" ");
}
function defaults(options, defaultOptions) {
  const result = __spreadValues({}, defaultOptions);
  for (const key in options) {
    if (options[key] !== void 0) {
      result[key] = options[key];
    }
  }
  return result;
}
function secToMs(ms) {
  return (ms || 0) * 1e3;
}

export { classnames, defaults, isBrowser, isFunction, omit, secToMs };
